﻿@model IEnumerable<SSCMvc.Models.MaDetail>
@using SSCMvc.Webutil;
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        deleterecord("MaDetail");
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Installment List Of @ViewBag.PackName</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create", new { @packid = @ViewBag.packid })
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.InstallmentNo)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.InstallAmt)
                    </th>
                     <th>
                        Next Installment(Days)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.MaCourse.CourseName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.MaPackage.PackageName)
                    </th>
                    <th>
                    </th>
                </tr>
                @{ double? tot = 0;
                   int i = 0;
                   int? totaldays = 0;
                   
                   string bgcolor = "oddrow";
                   }
                @foreach (var item in Model)
                {
                    tot += item.InstallAmt;
                    totaldays += item.NextDurationDays;
                       if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                        <td>
                            @Html.DisplayFor(modelItem => item.InstallmentNo)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.InstallAmt)
                        </td>
                        <td>
                        @Html.DisplayFor(modelItem => item.NextDurationDays)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MaPackage.PackageName)
                        </td>
                        <td>
                            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                            @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaDetail", new { id = item.Id }, new { @class = "delete-link" }, null)|
                            @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                        </td>
                    </tr>
                }
                <tr>
                <td align="left">Total</td>
                <td align="right">@tot</td>
                    <td colspan="3"> @totaldays</td>
                </tr>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Add Installments" style="width: 556px">
        </div>
    </div>
</div>
